com.sun.mail.handlers

## Class multipart_mixed

- java.lang.Object
- - com.sun.mail.handlers.handler_base
  - - com.sun.mail.handlers.multipart_mixed

- All Implemented Interfaces:
    DataContentHandler

      public class multipart_mixed
      extends handler_base

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `multipart_mixed()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getContent(DataSource ds)` Return the content.
    `protected ActivationDataFlavor[]` | `getDataFlavors()` Return an array of ActivationDataFlavors that we support.
    `void` | `writeTo(Object obj, String mimeType, OutputStream os)` Write the object to the output stream, using the specific MIME type.

    - ### Methods inherited from class com.sun.mail.handlers.handler_base

      `getData, getTransferData, getTransferDataFlavors`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### multipart_mixed

          public multipart_mixed()

  - ### Method Detail

    - #### getDataFlavors

          protected ActivationDataFlavor[] getDataFlavors()

      Description copied from class: `handler_base`
      Return an array of ActivationDataFlavors that we support. Usually there will be only one.
      Specified by:
        `getDataFlavors` in class `handler_base`

    - #### getContent

          public Object getContent(DataSource ds)
                            throws IOException

      Return the content.
      Throws:
        `IOException`

    - #### writeTo

          public void writeTo(Object obj,
                     String mimeType,
                     OutputStream os)
                       throws IOException

      Write the object to the output stream, using the specific MIME type.
      Throws:
        `IOException`

Copyright © 2016 Oracle. All rights reserved.